#! /bin/sh

# uplog.sh
# Scot Hacker : http://www.birdhouse.org/beos/software/
# Registers uptime, today's date, and writes them both to a log file.

# This script assumes that an uptime binary is installed in your path.
# Stephen van Egmond's version compiles cleanly for all versions of
# BeOS and is available here: http://bang.ml.org/be/uptime.zip

# Place this script in /boot/home/config/bin and invoke it from
# /boot/home/config/boot/UserShutdownScript.


# The next line defines the location of the log file. Season to taste.
log_loc=/boot/home/data/uplog

# Run output of uptime through sed to trim
# text output to just details
up=$(uptime | sed s/'System was booted '// | sed s/' ago.'//) 

# Assign today's date and time to variables
da=$(date +%D) 
ti=$(date +%r) 

# Write everything to log file
echo $da, $ti : $up >> $log_loc
